/*
 Theme Name:   Magazin Relaunch
 Description:  Magazin Relaunch
 Author:       Mila
 Template:     twentytwentyfive
 Text Domain:  magazin-relaunch
*/

/*------------------------------SCHRIFTEN-------------------------------*/


@font-face {
    font-family: 'Source Sans 3';
    src: url('assets/fonts/SourceSans3-Regular.woff2') format('woff2'),
        url('assets/fonts/SourceSans3-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans 3';
    src: url('assets/fonts/SourceSans3-Bold.woff2') format('woff2'),
        url('assets/fonts/SourceSans3-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'Urbanist';
    src: url('assets/fonts/Urbanist-Bold.woff2') format('woff2'),
        url('assets/fonts/Urbanist-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Urbanist';
    src: url('assets/fonts/Urbanist-Regular.woff2') format('woff2'),
        url('assets/fonts/Urbanist-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}



/*------------------------------POSTS-------------------------------*/

.single-post main .post-wrapper figure.wp-block-post-featured-image{
    aspect-ratio: 4 / 3 !important;
    object-fit: cover !important;
    max-height: 430px !important;
    width: 100%;
    margin: 30px 0;
}

figure .lyte-wrapper.fourthree{
    width: 100%!important;
    max-width: 100%!important;
}

.single-post{
    h1{
        letter-spacing: 0.7px;
        padding: 20px 0 10px;
        font-weight: 500;


    }
    .wp-block-post-excerpt__excerpt{
        position: relative;
    }
    .wp-block-post-excerpt__excerpt:before{
        max-width: 130px;
        height: 3px;
        width: 100%;
        background: var(--wp--preset--color--gruen);
        position: relative;
        content: "";
        display: block;
        text-align: center;
        margin: auto;
        top: -32px;
    }
    h2, h3, h4, h5, h6 {
        font-family: "Source Sans 3";
    }
}



/*------------------------------HEADER-------------------------------*/

.language-switcher {
    list-style-type: none;
    display: flex;
    padding-left: 0;
    margin: 0;
    gap:6px;
}

.language-switcher li.lang-item-de a{
    width: 24px;
    height: 24px;
    display: block;
    background: linear-gradient(to bottom, black 33.33%, #de1f1f 33.33% 66.66%, #ffc400 66.66%);
    border-radius: 50%;
}
.language-switcher li.lang-item-en a{
    width: 24px;
    height: 24px;
    display: block;
    background: url("/wp-content/uploads/sites/5/2026/05/en_GB.svg");
    background-size: cover;
    border-radius: 50%;
    background-position-x: -5px;
}


.language-switcher li a img{
    display: none;
}



/*------------------------------BASICS-------------------------------*/

body{
    font-family: "Source Sans 3";
    font-size: var(--wp--preset--font-size--medium);
    transition: 250ms;
    hyphens: auto;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Urbanist";
}

hr.is-style-default{
    max-width: 160px;
    border-width: 0 0 5px 0;
    color: var(--wp--preset--color--gruen);
}

hr.is-style-wide{
    max-width: none;
    border-width: 0 0 1px 0;
    color: var(--wp--preset--color--lightgrey);
}
:where(.wp-site-blocks *:focus) {
    outline-width: 0px!important;
    outline-style: solid;
    outline-color: #ffffff8f !important;
    outline-offset: 0px !important;
}




.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
    background-color: #64b07530;
}



@-webkit-keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0)
    }
    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}
@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, 100%, 0);
        transform: translate3d(0, 100%, 0)
    }
    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}
.animate__fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
    animation-duration: 1.5s;
}

/*-------------------------------SUCHE--------------------------------*/


.search-results form.wp-block-search{
    display: none;
}

header .wp-block-search__button{
    padding: 10px 5px!important;
}

header .wp-block-search__button-only,
header form.wp-block-search__button{
    margin-left: 0px!important;
    margin-right: 0px!important;
}

header .wp-block-search.wp-block-search__button-only .wp-block-search__button:hover,
header form.wp-block-search__button:hover{
    background-color: transparent!important;
    color: var(--wp--preset--color--gruen)!important;
}
header nav .wp-block-search.wp-block-search__button-only .wp-block-search__button{
    color: grey!important;
}

.search-results .wp-block-post-template > li.page.type-page{
    display: none;

}
header nav .wp-block-search.wp-block-search__button-only .wp-block-search__input{
    font-size: 14px !important;
}

body.page-id-1114{

    header nav .wp-block-search__button{
        color: white !important;
    }

    header nav .wp-block-search.wp-block-search__button-only .wp-block-search__button{
        background-color: #00000000!important;
        border-color: white!important;
        color: white!important;
    }
}

body.page-id-1985,
body.page-id-694,
body.page-id-692{

    nav .wp-block-search__button{
        color: white !important;
    }

    nav .wp-block-search.wp-block-search__button-only .wp-block-search__button{
        background-color: #00000000!important;
        border-color: white!important;
        color: white!important;
    }

}






/*-------------------------------BEITRÄGE--------------------------------*/

.wp-block-post-template .wp-block-post,
.wp-block-post-template .wp-block-post,
.wp-block-post-template .wp-block-post .wp-block-post-featured-image img{
    transition: 250ms;
}





.wp-block-post-template .wp-block-post .wp-block-post-featured-image{
    background: var(--wp--preset--color--gruen);
}

.wp-block-post-template .wp-block-post a{
    display: block;
    width: 100%;
}

.wp-block-post-template .wp-block-post:hover .wp-block-post-featured-image img{
    transform: scale(1.1);
    transition: 250ms;
    opacity: 0.7;
    filter:saturate(0.0);
}
.wp-block-post-template .wp-block-post .wp-block-post-featured-image{
    overflow:hidden;
}

.single-post .weitere-beitraege .wp-block-post h2.wp-block-post-title{
    max-height: 100px;
    overflow: hidden;
}





/*--------------------------------LOGO---------------------------------*/



.logo-block{
    align-items: stretch;
    transition: 250ms;
}
.logo-block:hover{
    /*filter: drop-shadow(3px 2px 3px rgba(0, 0, 0, 0.6));*/
    opacity: 0.7;
    transition: 250ms;
    cursor:pointer;
}
.logo-link{
    display: flex;
    align-items: center;
}
.logo-link > a{
    display: block;
    height: 100%;
    align-content: center;
    text-decoration: none!important;
}


/*------------------------------NAVI MOBIL-------------------------------*/

.wp-block-navigation__responsive-container {
    background-color: var(--wp--preset--color--gruen)!important;

    .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
        outline-offset: 0px!important;
    }
}

/*------------------------------BUTTONS-------------------------------*/

:root :where(.wp-element-button:hover, .wp-block-button__link:hover) {
    background-color: var(--wp--preset--color--gruen);
    border-color: transparent;
    color: var(--wp--preset--color--base);
    transition: 250ms;
}


/*------------------------------SOCIAL MEDIA-------------------------------*/

.wp-block-social-links > .wp-social-link {
    background-color: #333333;
    color: #fff;
}


/*----------------------------STARTSEITE-----------------------------*/

body.page-id-9 h1.wp-block-post-title{
    display:none;
}
body.page-id-9 main.wp-block-group{
    margin-top:0!important;
}

body.page-id-9 main > .wp-block-group {
    padding-top: 0!important;
}

body.page-id-9 main .entry-content{
    margin-top: 0!important;
}

.start-beitraege .wp-block-post-excerpt__more-text {
    margin-top: 2px;
}


/*-----------------------------LEXIKON------------------------------*/


.kategorie-liste.wp-block-categories-list{
    display: flex;
    gap: 1em;
    list-style-type: none;
    justify-content: center;
}

.kategorie-liste.wp-block-categories-list li a{
    text-decoration: none;
    background-color: var(--wp--preset--color--darkgrey);
    color: var(--wp--preset--color--base);
    border-radius: 9999px;
    padding: 0.5em 1.5em;
    font-size: 1em;
}

.kategorie-liste.wp-block-categories-list li a:hover{
    background-color: var(--wp--preset--color--gruen);
    transition: 250ms;
}

.kategorie-liste.wp-block-categories-list li.cat-item.cat-item-1,
.kategorie-liste.wp-block-categories-list li.cat-item.cat-item-6,
.kategorie-liste.wp-block-categories-list li.cat-item.cat-item-7{
    display: none;
}

.kategorie-zurueck {
    padding-left: var(--wp--style--root--padding-left);
}


/*-----------------------------MOBILE------------------------------*/


@media (min-width: 482px) {
    /* Styles für ≥ 482px */
}

@media (max-width: 600px) {


    footer .wp-block-site-logo{
        display: none;
    }

    header .logo-link{
        display: none!important;
    }

    .weitere-beitraege .wp-block-post .wp-block-group {
        margin-top: 0!important;
        margin-bottom: 0!important;
        padding-right: 1em!important;
        padding-bottom: 1em!important;
        padding-left: 1em!important;
        gap: 1em!important;
    }
    .weitere-beitraege .wp-block-post .wp-block-columns{
        gap: 1em!important;
    }
    .weitere-beitraege .wp-block-post .wp-block-group h2{
        font-size: 1.3rem!important;
    }

    /*
    .wp-site-blocks > h1{
        margin-top:0!important;
    }*/
    header .start-header .wp-block-group-is-layout-constrained h1.wp-block-heading{
        font-size: 3.5em!important;
        line-height: 95%!important;
    }
    hr.is-style-default {
        max-width: 110px;
    }
    footer .footer-logo{
        display: none;
    }
    footer h4{

    }
    footer .footer-text{
        justify-content: flex-start;
        gap: 2em;
    }
    .wp-block-navigation__responsive-container ul.wp-block-navigation li.wp-block-navigation-item.current-menu-item{
        font-style: italic;
        font-weight: bold;
        font-size: 1.1em;
        outline-offset: 0px!important;
    }
    .wp-block-navigation__responsive-container ul.wp-block-navigation li a{
        padding-top:5px!important;
        padding-bottom: 5px!important;
        font-size: 2.8em;
        color:#fff!important;
        font-family: 'Source Serif 4';
    }
    .wp-block-navigation__responsive-container ul.wp-block-navigation li a:focus{
        outline-width: 0px!important;
    }

    .wp-block-navigation__responsive-container ul.wp-block-navigation li a span{
        display:block!important;

    }
    .wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
        outline-offset: 0px;
    }
    .wp-block-post-template .wp-block-post .wp-block-group.has-global-padding {
        padding-left: 0!important;
        padding-right: 0!important;
    }
}



@media (max-width: 782px) {
    .single-post .weitere-beitraege .wp-block-post .beitrag-box-text{
        padding-left: 1em!important;
        padding-right: 1em!important;
    }
    .single-post .weitere-beitraege .wp-block-post > .wp-block-columns{
        gap: 0em;
    }


    .logo-link > a {
        font-weight: 400!important;
    }
    .logo-link {
        display: none!important;
        width: 100%!important;
    }
    .link-shop {
        display: none!important;
    }
    header .zeile-navi{
        padding-top: 0!important;
    }

    header .zeile-navi div:first-child{
        flex-direction: column!important;
        align-items: flex-start!important;
        gap: 3px!important;
        align-items: flex-start;
    }

    .wp-block-site-logo img {
        border-radius: inherit!important;
        max-width: 120px!important;
    }

    .start-tags .wp-block-button a,
    .kategorie-buttons .wp-block-button a{
        padding-top: 10px;
        padding-right: 20px;
        padding-bottom: 10px;
        padding-left: 20px;
    }
    .start-tags .wp-block-buttons {
        gap: 10px;
    }
    .start-lexikon-block {
        gap: 3em;
    }
    .start-artikel-box {
        padding-right: 1em!important;
        padding-left: 1em!important;
        align-self: self-start!important;
    }
    .start-artikel-box > div{
        margin-top: 0px!important;
    }
    .start-artikel-box .wp-block-post-excerpt__more-text a{
        font-style: italic;
        text-decoration: none;
    }
    header.wp-block-template-part{
        padding-top: 20px!important;
    }

}

@media (min-width: 1024px) {
    /* Styles für ≥ 1024px */
}

@media (min-width: 1200px) {
    /* Styles für ≥ 1200px */
}

